Subject: Re: bug#12339: [PATCH] rm: avoid bogus diagnostic for a slash-decorated symlink-to-dir

From: Paul Eggert <[email-masked]>
Date: Tue, 04 Sep 2012 10:53:04 -0700

On 09/04/2012 10:46 AM, Linda A. Walsh wrote:
> I would assert that the trailing "." shouldn't be stripped either.

If we were designing anew, I'd be inclined to agree with you.
But there are probably people expecting the standard behavior now,
and there's an argument for not departing from the standard
unless there's a good reason.

Here, if we can provide a command "rm -fr foo/" to do what you
want, then I hope it's merely a minor glitch that "rm -fr foo/."
doesn't do what you want.  After all, the version without the
"." is easier to type, and it's more convenient with shells
that autocomplete, so the fact that POSIX requires failure for
the version with the "." shouldn't be that big a deal.

("rm -fr foo/" doesn't work right either, but we're
looking into that....)